tenantConnectorInstancesForGrouping
curl --request GET \
--url https://api.askparable.com/api/vendors/tenant-connector-instances-for-groupings/{groupingId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/vendors/tenant-connector-instances-for-groupings/{groupingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/vendors/tenant-connector-instances-for-groupings/{groupingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/vendors/tenant-connector-instances-for-groupings/{groupingId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"connectionStatusMessage": "<string>",
"connector": {
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"supportedAuthStrategies": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"addressingConfig": {
"basePath": "<string>",
"host": "<string>",
"scheme": "<string>",
"variables": [
{
"name": "<string>",
"source": "<string>",
"oauthResponsePath": "<string>",
"required": true
}
]
},
"apiKeyConfig": {
"headerName": "<string>",
"queryParam": "<string>"
},
"basicConfig": {
"passwordField": "<string>",
"usernameField": "<string>",
"passwordValue": "<string>"
},
"bearerConfig": {
"headerName": "<string>",
"tokenField": "<string>",
"tokenPrefix": "<string>"
},
"configSchema": {},
"defaultBaseUrl": "<string>",
"defaultScopes": [
"<string>"
],
"delegatedUserField": "<string>",
"docs": "<string>",
"extraHeaders": {},
"hook": "<string>",
"ingestionConfigSchema": {},
"label": "<string>",
"oauth2Config": {
"tokenEndpoint": "<string>",
"audienceParam": "<string>",
"authorizeUrl": "<string>",
"passwordField": "<string>",
"scopes": [
"<string>"
],
"tokenEndpointExtraParams": {},
"tokenPrefix": "<string>",
"tokenRefreshCodes": [
123
],
"tokenResponsePath": "<string>",
"usernameField": "<string>"
},
"preEncodedBasicConfig": {
"tokenField": "<string>"
}
}
],
"taps": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"enabledByDefault": true,
"id": "<string>",
"identityDirectory": true,
"name": "<string>",
"responseExtraction": {
"primaryKey": "<string>",
"responsePath": "<string>",
"responsePathFallback": "<string>",
"responseValidation": {
"errorField": "<string>",
"okField": "<string>",
"skippableErrors": [
"<string>"
],
"transientErrors": [
"<string>"
]
},
"syntheticPrimaryKey": {
"fields": [
"<string>"
],
"outputField": "<string>",
"separator": "<string>"
}
},
"schema": {},
"sync": {
"asyncQuery": {
"queryIdPath": "<string>",
"recordsEndpoint": "<string>",
"recordsResponsePath": "<string>",
"statusEndpoint": "<string>",
"statusPath": "<string>",
"successValue": "<string>",
"externalLinksPath": "<string>",
"failureValue": "<string>",
"failureValues": [
"<string>"
],
"maxPollSeconds": 123,
"pollIntervalSeconds": 123,
"recordsPagination": {
"cursor": {
"cursorPath": "<string>",
"cursorBodyPath": "<string>",
"cursorIsFullUrl": true,
"cursorParam": "<string>",
"hasMorePath": "<string>",
"nextCursorPath": "<string>",
"nextDataPath": "<string>",
"nextQuery": "<string>"
},
"offset": {
"defaultLimit": 123,
"limitParam": "<string>",
"maxLimit": 123,
"nextPageLinkPath": "<string>",
"offsetParam": "<string>",
"totalPath": "<string>"
},
"pageNumber": {
"defaultPageSize": 123,
"pageParam": "<string>",
"pageSizeParam": "<string>",
"paramLocation": "<string>",
"totalPagesPath": "<string>"
},
"sessionPage": {
"defaultPageSize": 123,
"pageParam": "<string>",
"pagePath": "<string>",
"sessionIdParam": "<string>",
"sessionIdPath": "<string>"
}
},
"recordsQueryParams": {}
},
"cursorField": "<string>",
"incrementalParams": {
"bodyFilterEndPath": "<string>",
"bodyFilterPath": "<string>",
"bodyFilterTemplate": "<string>",
"defaultLookaheadDays": 123,
"maxLookaheadDays": 123,
"maxWindowDays": 123,
"queryParam": "<string>",
"queryTemplate": "<string>",
"sinceParam": "<string>",
"untilParam": "<string>"
},
"maxLookbackDays": 123,
"scopes": [
"<string>"
]
},
"transportOptions": [
{
"pagination": {
"cursor": {
"cursorPath": "<string>",
"cursorBodyPath": "<string>",
"cursorIsFullUrl": true,
"cursorParam": "<string>",
"hasMorePath": "<string>",
"nextCursorPath": "<string>",
"nextDataPath": "<string>",
"nextQuery": "<string>"
},
"offset": {
"defaultLimit": 123,
"limitParam": "<string>",
"maxLimit": 123,
"nextPageLinkPath": "<string>",
"offsetParam": "<string>",
"totalPath": "<string>"
},
"pageNumber": {
"defaultPageSize": 123,
"pageParam": "<string>",
"pageSizeParam": "<string>",
"paramLocation": "<string>",
"totalPagesPath": "<string>"
},
"sessionPage": {
"defaultPageSize": 123,
"pageParam": "<string>",
"pagePath": "<string>",
"sessionIdParam": "<string>",
"sessionIdPath": "<string>"
}
},
"priority": 123,
"errorBodyRules": [
{
"jmesPath": "<string>",
"statusCode": 123,
"retryValues": [
"<string>"
],
"skipValues": [
"<string>"
]
}
],
"graphqlConfig": {
"endpoint": "<string>",
"query": "<string>",
"operationName": "<string>",
"variables": {}
},
"paginationHook": "<string>",
"restConfig": {
"endpoint": "<string>",
"batch": {
"endpoint": "<string>",
"maxSubRequests": 123,
"format": "<string>"
},
"headers": {},
"parentDataFilterBodyInject": {
"bodyPath": "<string>",
"field": "<string>",
"filterKey": "<string>"
},
"parentDataFilterQueryInject": {
"field": "<string>",
"filterKey": "<string>",
"queryParam": "<string>",
"chunkSize": 123,
"clauseTemplate": "<string>",
"normalize": "lowercase"
},
"pathParamEncodings": {},
"queryParams": {},
"requestBody": {}
},
"skipOnHttpStatus": [
123
]
}
],
"updatedAt": "<string>",
"updatedBy": "<string>",
"customFields": {
"captureUnknownFields": true,
"knownCustomFieldKeyPatterns": [
"<string>"
]
},
"description": "<string>",
"enabledSince": "<string>",
"errorBodyRules": [
{
"jmesPath": "<string>",
"statusCode": 123,
"retryValues": [
"<string>"
],
"skipValues": [
"<string>"
]
}
],
"extractionHook": "<string>",
"objectName": "<string>",
"observability": {
"domainDatePaths": [
"<string>"
]
},
"parentContextFields": [
{
"sourceField": "<string>",
"targetField": "<string>"
}
],
"perParentAuth": {
"impersonateField": "<string>",
"method": "<string>",
"quotaUserHeader": "<string>"
},
"qualityConfig": {
"rules": [
{
"maxRate": 123
}
],
"spc": {
"minHistoryForViolation": 123,
"trackedSeries": [],
"windowSize": 123
}
},
"rateLimitOverride": {
"maxConcurrent": 123,
"requestsPerSecond": 123,
"resetHeader": "<string>",
"retry": {
"backoffMultiplier": 123,
"maxRetries": 123,
"maxRetryTimeSeconds": 123,
"respectRetryAfter": true
}
},
"rateLimits": {
"maxConcurrent": 123,
"requestsPerSecond": 123,
"resetHeader": "<string>",
"retry": {
"backoffMultiplier": 123,
"maxRetries": 123,
"maxRetryTimeSeconds": 123,
"respectRetryAfter": true
}
},
"requestHook": "<string>",
"retentionPolicy": {
"retentionDays": 123,
"alertThresholdDays": 123
},
"skipOnHttpStatus": [
123
],
"tombstoneMarkerColumn": "<string>"
}
],
"updatedAt": "<string>",
"updatedBy": "<string>",
"addressingConfig": {
"basePath": "<string>",
"host": "<string>",
"scheme": "<string>",
"variables": [
{
"name": "<string>",
"source": "<string>",
"oauthResponsePath": "<string>",
"required": true
}
]
},
"apiVersion": "<string>",
"concurrencyTagTemplate": "<string>",
"defaultBaseUrl": "<string>",
"description": "<string>",
"effortMetadata": {},
"fieldDiscovery": {
"endpointTemplate": "<string>",
"fieldArrayPath": "<string>",
"fieldNameKey": "<string>",
"fieldTypeKey": "<string>",
"objectNameField": "<string>",
"wildcardToken": "<string>",
"excludeFieldTypes": [
"<string>"
],
"includeCondition": {
"key": "<string>",
"value": {}
}
},
"inboundAuthStrategies": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"configSchema": {},
"label": "<string>",
"replayWindowSeconds": 123,
"signatureBase": "<string>",
"signatureHeader": "<string>",
"timestampHeader": "<string>"
}
],
"ingestionConfigSchema": {},
"protocolType": "<string>",
"rateLimits": {
"maxConcurrent": 123,
"requestsPerSecond": 123,
"resetHeader": "<string>",
"retry": {
"backoffMultiplier": 123,
"maxRetries": 123,
"maxRetryTimeSeconds": 123,
"respectRetryAfter": true
}
},
"setupDocumentation": "<string>",
"timeoutSeconds": 123,
"traversal": {
"rootTaps": [
"<string>"
],
"configFanouts": [
{
"configField": "<string>",
"templateVariable": "<string>",
"separator": "<string>"
}
],
"edges": [
{
"from": "<string>",
"parentKeyField": "<string>",
"to": "<string>",
"fanOutLimit": 123,
"parentContextFields": [
{
"sourceField": "<string>",
"targetField": "<string>"
}
],
"parentEligibility": [
{
"field": "<string>",
"operator": "<string>",
"threshold": 123,
"values": [
"<string>"
]
}
],
"templateVariable": "<string>"
}
]
}
},
"createdAt": "<string>",
"createdBy": "<string>",
"grouping": {
"breadcrumbs": [
"<string>"
],
"groupings": "<array>",
"id": "<string>",
"isLeaf": true,
"name": "<string>",
"slug": "<string>",
"sortOrder": 123,
"vendor": {
"groupings": "<array>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"sortOrder": 123,
"description": "<string>",
"logo": {}
},
"connectorId": "<string>",
"description": "<string>",
"docs": "<string>",
"externalVersion": "<string>",
"groupingPath": "<string>",
"ingestionConfigSchema": {},
"logo": {},
"parableVersion": "<string>",
"parent": "<unknown>",
"protocolType": "<string>",
"supportedAuthStrategies": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"addressingConfig": {
"basePath": "<string>",
"host": "<string>",
"scheme": "<string>",
"variables": [
{
"name": "<string>",
"source": "<string>",
"oauthResponsePath": "<string>",
"required": true
}
]
},
"apiKeyConfig": {
"headerName": "<string>",
"queryParam": "<string>"
},
"basicConfig": {
"passwordField": "<string>",
"usernameField": "<string>",
"passwordValue": "<string>"
},
"bearerConfig": {
"headerName": "<string>",
"tokenField": "<string>",
"tokenPrefix": "<string>"
},
"configSchema": {},
"defaultBaseUrl": "<string>",
"defaultScopes": [
"<string>"
],
"delegatedUserField": "<string>",
"docs": "<string>",
"extraHeaders": {},
"hook": "<string>",
"ingestionConfigSchema": {},
"label": "<string>",
"oauth2Config": {
"tokenEndpoint": "<string>",
"audienceParam": "<string>",
"authorizeUrl": "<string>",
"passwordField": "<string>",
"scopes": [
"<string>"
],
"tokenEndpointExtraParams": {},
"tokenPrefix": "<string>",
"tokenRefreshCodes": [
123
],
"tokenResponsePath": "<string>",
"usernameField": "<string>"
},
"preEncodedBasicConfig": {
"tokenField": "<string>"
}
}
],
"supportedInboundAuthStrategies": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"configSchema": {},
"label": "<string>",
"replayWindowSeconds": 123,
"signatureBase": "<string>",
"signatureHeader": "<string>",
"timestampHeader": "<string>"
}
]
},
"hasValidCredentials": true,
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"authenticationConfig": {},
"authenticationStrategy": {
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"addressingConfig": {
"basePath": "<string>",
"host": "<string>",
"scheme": "<string>",
"variables": [
{
"name": "<string>",
"source": "<string>",
"oauthResponsePath": "<string>",
"required": true
}
]
},
"apiKeyConfig": {
"headerName": "<string>",
"queryParam": "<string>"
},
"basicConfig": {
"passwordField": "<string>",
"usernameField": "<string>",
"passwordValue": "<string>"
},
"bearerConfig": {
"headerName": "<string>",
"tokenField": "<string>",
"tokenPrefix": "<string>"
},
"configSchema": {},
"defaultBaseUrl": "<string>",
"defaultScopes": [
"<string>"
],
"delegatedUserField": "<string>",
"docs": "<string>",
"extraHeaders": {},
"hook": "<string>",
"ingestionConfigSchema": {},
"label": "<string>",
"oauth2Config": {
"tokenEndpoint": "<string>",
"audienceParam": "<string>",
"authorizeUrl": "<string>",
"passwordField": "<string>",
"scopes": [
"<string>"
],
"tokenEndpointExtraParams": {},
"tokenPrefix": "<string>",
"tokenRefreshCodes": [
123
],
"tokenResponsePath": "<string>",
"usernameField": "<string>"
},
"preEncodedBasicConfig": {
"tokenField": "<string>"
}
},
"credentialMetadataId": "<string>",
"ingestionConfig": {},
"lastSyncAt": "<string>",
"name": "<string>"
}
],
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}List connector instances for a grouping (workspace-scoped). Returns empty when no workspace context or no permission.
GET
/
api
/
vendors
/
tenant-connector-instances-for-groupings
/
{groupingId}
tenantConnectorInstancesForGrouping
curl --request GET \
--url https://api.askparable.com/api/vendors/tenant-connector-instances-for-groupings/{groupingId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/vendors/tenant-connector-instances-for-groupings/{groupingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/vendors/tenant-connector-instances-for-groupings/{groupingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/vendors/tenant-connector-instances-for-groupings/{groupingId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"connectionStatusMessage": "<string>",
"connector": {
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"supportedAuthStrategies": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"addressingConfig": {
"basePath": "<string>",
"host": "<string>",
"scheme": "<string>",
"variables": [
{
"name": "<string>",
"source": "<string>",
"oauthResponsePath": "<string>",
"required": true
}
]
},
"apiKeyConfig": {
"headerName": "<string>",
"queryParam": "<string>"
},
"basicConfig": {
"passwordField": "<string>",
"usernameField": "<string>",
"passwordValue": "<string>"
},
"bearerConfig": {
"headerName": "<string>",
"tokenField": "<string>",
"tokenPrefix": "<string>"
},
"configSchema": {},
"defaultBaseUrl": "<string>",
"defaultScopes": [
"<string>"
],
"delegatedUserField": "<string>",
"docs": "<string>",
"extraHeaders": {},
"hook": "<string>",
"ingestionConfigSchema": {},
"label": "<string>",
"oauth2Config": {
"tokenEndpoint": "<string>",
"audienceParam": "<string>",
"authorizeUrl": "<string>",
"passwordField": "<string>",
"scopes": [
"<string>"
],
"tokenEndpointExtraParams": {},
"tokenPrefix": "<string>",
"tokenRefreshCodes": [
123
],
"tokenResponsePath": "<string>",
"usernameField": "<string>"
},
"preEncodedBasicConfig": {
"tokenField": "<string>"
}
}
],
"taps": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"enabledByDefault": true,
"id": "<string>",
"identityDirectory": true,
"name": "<string>",
"responseExtraction": {
"primaryKey": "<string>",
"responsePath": "<string>",
"responsePathFallback": "<string>",
"responseValidation": {
"errorField": "<string>",
"okField": "<string>",
"skippableErrors": [
"<string>"
],
"transientErrors": [
"<string>"
]
},
"syntheticPrimaryKey": {
"fields": [
"<string>"
],
"outputField": "<string>",
"separator": "<string>"
}
},
"schema": {},
"sync": {
"asyncQuery": {
"queryIdPath": "<string>",
"recordsEndpoint": "<string>",
"recordsResponsePath": "<string>",
"statusEndpoint": "<string>",
"statusPath": "<string>",
"successValue": "<string>",
"externalLinksPath": "<string>",
"failureValue": "<string>",
"failureValues": [
"<string>"
],
"maxPollSeconds": 123,
"pollIntervalSeconds": 123,
"recordsPagination": {
"cursor": {
"cursorPath": "<string>",
"cursorBodyPath": "<string>",
"cursorIsFullUrl": true,
"cursorParam": "<string>",
"hasMorePath": "<string>",
"nextCursorPath": "<string>",
"nextDataPath": "<string>",
"nextQuery": "<string>"
},
"offset": {
"defaultLimit": 123,
"limitParam": "<string>",
"maxLimit": 123,
"nextPageLinkPath": "<string>",
"offsetParam": "<string>",
"totalPath": "<string>"
},
"pageNumber": {
"defaultPageSize": 123,
"pageParam": "<string>",
"pageSizeParam": "<string>",
"paramLocation": "<string>",
"totalPagesPath": "<string>"
},
"sessionPage": {
"defaultPageSize": 123,
"pageParam": "<string>",
"pagePath": "<string>",
"sessionIdParam": "<string>",
"sessionIdPath": "<string>"
}
},
"recordsQueryParams": {}
},
"cursorField": "<string>",
"incrementalParams": {
"bodyFilterEndPath": "<string>",
"bodyFilterPath": "<string>",
"bodyFilterTemplate": "<string>",
"defaultLookaheadDays": 123,
"maxLookaheadDays": 123,
"maxWindowDays": 123,
"queryParam": "<string>",
"queryTemplate": "<string>",
"sinceParam": "<string>",
"untilParam": "<string>"
},
"maxLookbackDays": 123,
"scopes": [
"<string>"
]
},
"transportOptions": [
{
"pagination": {
"cursor": {
"cursorPath": "<string>",
"cursorBodyPath": "<string>",
"cursorIsFullUrl": true,
"cursorParam": "<string>",
"hasMorePath": "<string>",
"nextCursorPath": "<string>",
"nextDataPath": "<string>",
"nextQuery": "<string>"
},
"offset": {
"defaultLimit": 123,
"limitParam": "<string>",
"maxLimit": 123,
"nextPageLinkPath": "<string>",
"offsetParam": "<string>",
"totalPath": "<string>"
},
"pageNumber": {
"defaultPageSize": 123,
"pageParam": "<string>",
"pageSizeParam": "<string>",
"paramLocation": "<string>",
"totalPagesPath": "<string>"
},
"sessionPage": {
"defaultPageSize": 123,
"pageParam": "<string>",
"pagePath": "<string>",
"sessionIdParam": "<string>",
"sessionIdPath": "<string>"
}
},
"priority": 123,
"errorBodyRules": [
{
"jmesPath": "<string>",
"statusCode": 123,
"retryValues": [
"<string>"
],
"skipValues": [
"<string>"
]
}
],
"graphqlConfig": {
"endpoint": "<string>",
"query": "<string>",
"operationName": "<string>",
"variables": {}
},
"paginationHook": "<string>",
"restConfig": {
"endpoint": "<string>",
"batch": {
"endpoint": "<string>",
"maxSubRequests": 123,
"format": "<string>"
},
"headers": {},
"parentDataFilterBodyInject": {
"bodyPath": "<string>",
"field": "<string>",
"filterKey": "<string>"
},
"parentDataFilterQueryInject": {
"field": "<string>",
"filterKey": "<string>",
"queryParam": "<string>",
"chunkSize": 123,
"clauseTemplate": "<string>",
"normalize": "lowercase"
},
"pathParamEncodings": {},
"queryParams": {},
"requestBody": {}
},
"skipOnHttpStatus": [
123
]
}
],
"updatedAt": "<string>",
"updatedBy": "<string>",
"customFields": {
"captureUnknownFields": true,
"knownCustomFieldKeyPatterns": [
"<string>"
]
},
"description": "<string>",
"enabledSince": "<string>",
"errorBodyRules": [
{
"jmesPath": "<string>",
"statusCode": 123,
"retryValues": [
"<string>"
],
"skipValues": [
"<string>"
]
}
],
"extractionHook": "<string>",
"objectName": "<string>",
"observability": {
"domainDatePaths": [
"<string>"
]
},
"parentContextFields": [
{
"sourceField": "<string>",
"targetField": "<string>"
}
],
"perParentAuth": {
"impersonateField": "<string>",
"method": "<string>",
"quotaUserHeader": "<string>"
},
"qualityConfig": {
"rules": [
{
"maxRate": 123
}
],
"spc": {
"minHistoryForViolation": 123,
"trackedSeries": [],
"windowSize": 123
}
},
"rateLimitOverride": {
"maxConcurrent": 123,
"requestsPerSecond": 123,
"resetHeader": "<string>",
"retry": {
"backoffMultiplier": 123,
"maxRetries": 123,
"maxRetryTimeSeconds": 123,
"respectRetryAfter": true
}
},
"rateLimits": {
"maxConcurrent": 123,
"requestsPerSecond": 123,
"resetHeader": "<string>",
"retry": {
"backoffMultiplier": 123,
"maxRetries": 123,
"maxRetryTimeSeconds": 123,
"respectRetryAfter": true
}
},
"requestHook": "<string>",
"retentionPolicy": {
"retentionDays": 123,
"alertThresholdDays": 123
},
"skipOnHttpStatus": [
123
],
"tombstoneMarkerColumn": "<string>"
}
],
"updatedAt": "<string>",
"updatedBy": "<string>",
"addressingConfig": {
"basePath": "<string>",
"host": "<string>",
"scheme": "<string>",
"variables": [
{
"name": "<string>",
"source": "<string>",
"oauthResponsePath": "<string>",
"required": true
}
]
},
"apiVersion": "<string>",
"concurrencyTagTemplate": "<string>",
"defaultBaseUrl": "<string>",
"description": "<string>",
"effortMetadata": {},
"fieldDiscovery": {
"endpointTemplate": "<string>",
"fieldArrayPath": "<string>",
"fieldNameKey": "<string>",
"fieldTypeKey": "<string>",
"objectNameField": "<string>",
"wildcardToken": "<string>",
"excludeFieldTypes": [
"<string>"
],
"includeCondition": {
"key": "<string>",
"value": {}
}
},
"inboundAuthStrategies": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"configSchema": {},
"label": "<string>",
"replayWindowSeconds": 123,
"signatureBase": "<string>",
"signatureHeader": "<string>",
"timestampHeader": "<string>"
}
],
"ingestionConfigSchema": {},
"protocolType": "<string>",
"rateLimits": {
"maxConcurrent": 123,
"requestsPerSecond": 123,
"resetHeader": "<string>",
"retry": {
"backoffMultiplier": 123,
"maxRetries": 123,
"maxRetryTimeSeconds": 123,
"respectRetryAfter": true
}
},
"setupDocumentation": "<string>",
"timeoutSeconds": 123,
"traversal": {
"rootTaps": [
"<string>"
],
"configFanouts": [
{
"configField": "<string>",
"templateVariable": "<string>",
"separator": "<string>"
}
],
"edges": [
{
"from": "<string>",
"parentKeyField": "<string>",
"to": "<string>",
"fanOutLimit": 123,
"parentContextFields": [
{
"sourceField": "<string>",
"targetField": "<string>"
}
],
"parentEligibility": [
{
"field": "<string>",
"operator": "<string>",
"threshold": 123,
"values": [
"<string>"
]
}
],
"templateVariable": "<string>"
}
]
}
},
"createdAt": "<string>",
"createdBy": "<string>",
"grouping": {
"breadcrumbs": [
"<string>"
],
"groupings": "<array>",
"id": "<string>",
"isLeaf": true,
"name": "<string>",
"slug": "<string>",
"sortOrder": 123,
"vendor": {
"groupings": "<array>",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"sortOrder": 123,
"description": "<string>",
"logo": {}
},
"connectorId": "<string>",
"description": "<string>",
"docs": "<string>",
"externalVersion": "<string>",
"groupingPath": "<string>",
"ingestionConfigSchema": {},
"logo": {},
"parableVersion": "<string>",
"parent": "<unknown>",
"protocolType": "<string>",
"supportedAuthStrategies": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"addressingConfig": {
"basePath": "<string>",
"host": "<string>",
"scheme": "<string>",
"variables": [
{
"name": "<string>",
"source": "<string>",
"oauthResponsePath": "<string>",
"required": true
}
]
},
"apiKeyConfig": {
"headerName": "<string>",
"queryParam": "<string>"
},
"basicConfig": {
"passwordField": "<string>",
"usernameField": "<string>",
"passwordValue": "<string>"
},
"bearerConfig": {
"headerName": "<string>",
"tokenField": "<string>",
"tokenPrefix": "<string>"
},
"configSchema": {},
"defaultBaseUrl": "<string>",
"defaultScopes": [
"<string>"
],
"delegatedUserField": "<string>",
"docs": "<string>",
"extraHeaders": {},
"hook": "<string>",
"ingestionConfigSchema": {},
"label": "<string>",
"oauth2Config": {
"tokenEndpoint": "<string>",
"audienceParam": "<string>",
"authorizeUrl": "<string>",
"passwordField": "<string>",
"scopes": [
"<string>"
],
"tokenEndpointExtraParams": {},
"tokenPrefix": "<string>",
"tokenRefreshCodes": [
123
],
"tokenResponsePath": "<string>",
"usernameField": "<string>"
},
"preEncodedBasicConfig": {
"tokenField": "<string>"
}
}
],
"supportedInboundAuthStrategies": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"configSchema": {},
"label": "<string>",
"replayWindowSeconds": 123,
"signatureBase": "<string>",
"signatureHeader": "<string>",
"timestampHeader": "<string>"
}
]
},
"hasValidCredentials": true,
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"authenticationConfig": {},
"authenticationStrategy": {
"createdAt": "<string>",
"createdBy": "<string>",
"id": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"addressingConfig": {
"basePath": "<string>",
"host": "<string>",
"scheme": "<string>",
"variables": [
{
"name": "<string>",
"source": "<string>",
"oauthResponsePath": "<string>",
"required": true
}
]
},
"apiKeyConfig": {
"headerName": "<string>",
"queryParam": "<string>"
},
"basicConfig": {
"passwordField": "<string>",
"usernameField": "<string>",
"passwordValue": "<string>"
},
"bearerConfig": {
"headerName": "<string>",
"tokenField": "<string>",
"tokenPrefix": "<string>"
},
"configSchema": {},
"defaultBaseUrl": "<string>",
"defaultScopes": [
"<string>"
],
"delegatedUserField": "<string>",
"docs": "<string>",
"extraHeaders": {},
"hook": "<string>",
"ingestionConfigSchema": {},
"label": "<string>",
"oauth2Config": {
"tokenEndpoint": "<string>",
"audienceParam": "<string>",
"authorizeUrl": "<string>",
"passwordField": "<string>",
"scopes": [
"<string>"
],
"tokenEndpointExtraParams": {},
"tokenPrefix": "<string>",
"tokenRefreshCodes": [
123
],
"tokenResponsePath": "<string>",
"usernameField": "<string>"
},
"preEncodedBasicConfig": {
"tokenField": "<string>"
}
},
"credentialMetadataId": "<string>",
"ingestionConfig": {},
"lastSyncAt": "<string>",
"name": "<string>"
}
],
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
groupingId parameter UUID v4 with automatic base62 encoding for client-facing APIs
⌘I